# IRdSound Struct Reference

RdSound interface ///////////////////////////////////////////////////////////////////////. More...

Inherits IRsDataObject, and IRsDataObject.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
| Clear all data in the Sound. Create has to be called to use the Sound.
HRESULT | LoadFromFile ([in] BSTR bstrFileName)
| This method is used to load Sound from a file. Previous Sound contents are discarded.
HRESULT | GetFileName ([out, retval] BSTR *pbstrFileName)
| Use this method to get file name of the Sound. If it is empty, then Sound was not loaded from file.
HRESULT | SaveToFile ([in] BSTR bstrFileName)
| This method is used to save Sound to a file.
HRESULT | InitBuffer ([in] RtDWORD dwVal)
| Init the sound buffer.
HRESULT | GetBufferSize ([in] RtDWORD *pdwVal)
| Get the sound buffer size.
HRESULT | LockBuffer ([in] RtBOOL bWillOwerwrite,[out, retval] BYTE **ppBuffer)
| Lock and get buffer with the sound.
HRESULT | UnlockBuffer ()
| Unlock the sound buffer.
HRESULT | Clear (void)
| Clear all data in the Sound. Create has to be called to use the Sound.
HRESULT | LoadFromFile ([in] BSTR bstrFileName)
| This method is used to load Sound from a file. Previous Sound contents are discarded.
HRESULT | GetFileName ([out, retval] BSTR *pbstrFileName)
| Use this method to get file name of the Sound. If it is empty, then Sound was not loaded from file.
HRESULT | SaveToFile ([in] BSTR bstrFileName)
| This method is used to save Sound to a file.
HRESULT | InitBuffer ([in] RtDWORD dwVal)
| Init the sound buffer.
HRESULT | GetBufferSize ([in] RtDWORD *pdwVal)
| Get the sound buffer size.
HRESULT | LockBuffer ([in] RtBOOL bWillOwerwrite,[out, retval] BYTE **ppBuffer)
| Lock and get buffer with the sound.
HRESULT | UnlockBuffer ()
| Unlock the sound buffer.

## Detailed Description

RdSound interface ///////////////////////////////////////////////////////////////////////.

## Member Function Documentation

HRESULT IRdSound::Clear | ( | void |  | ) |

Clear all data in the Sound. Create has to be called to use the Sound.

HRESULT IRdSound::LoadFromFile | ( | [in] BSTR | bstrFileName | ) |

This method is used to load Sound from a file. Previous Sound contents are discarded.

HRESULT IRdSound::GetFileName | ( | [out, retval] BSTR * | pbstrFileName | ) |

Use this method to get file name of the Sound. If it is empty, then Sound was not loaded from file.

HRESULT IRdSound::SaveToFile | ( | [in] BSTR | bstrFileName | ) |

This method is used to save Sound to a file.

HRESULT IRdSound::InitBuffer | ( | [in] RtDWORD | dwVal | ) |

Init the sound buffer.

HRESULT IRdSound::GetBufferSize | ( | [in] RtDWORD * | pdwVal | ) |

Get the sound buffer size.

HRESULT IRdSound::LockBuffer | ( | [in] RtBOOL | bWillOwerwrite,
|  | [out, retval] BYTE ** | ppBuffer |
| ) |  |  |

Lock and get buffer with the sound.

HRESULT IRdSound::UnlockBuffer | ( |  | ) |

Unlock the sound buffer.

HRESULT IRdSound::Clear | ( | void |  | ) |

Clear all data in the Sound. Create has to be called to use the Sound.

HRESULT IRdSound::LoadFromFile | ( | [in] BSTR | bstrFileName | ) |

This method is used to load Sound from a file. Previous Sound contents are discarded.

HRESULT IRdSound::GetFileName | ( | [out, retval] BSTR * | pbstrFileName | ) |

Use this method to get file name of the Sound. If it is empty, then Sound was not loaded from file.

HRESULT IRdSound::SaveToFile | ( | [in] BSTR | bstrFileName | ) |

This method is used to save Sound to a file.

HRESULT IRdSound::InitBuffer | ( | [in] RtDWORD | dwVal | ) |

Init the sound buffer.

HRESULT IRdSound::GetBufferSize | ( | [in] RtDWORD * | pdwVal | ) |

Get the sound buffer size.

HRESULT IRdSound::LockBuffer | ( | [in] RtBOOL | bWillOwerwrite,
|  | [out, retval] BYTE ** | ppBuffer |
| ) |  |  |

Lock and get buffer with the sound.

HRESULT IRdSound::UnlockBuffer | ( |  | ) |

Unlock the sound buffer.